Subject: bug#16384: libtool fails with uninstalled frameworks and the -F flag

From: "Michael C. Grant" <[email-masked]>
Date: Tue, 7 Jan 2014 16:40:27 +0000

I'm trying to compile GNU Octave and its new Qt GUI on a Mac OSX with Homebrew. Homebrew installs the Qt frameworks in /usr/local/Cellar/qt/4.8.5/lib, so after some fiddling with the configure script I get this:

QT_LDFLAGS=-F/usr/local/Cellar/qt/4.8.5/lib
QT_LIBS=-framework QtCore -framework QtGui -framework QtNetwork

However, the libtool script does not handle the -F argument through properly, so it is stripped out of the linking process.

I created the following patch for the generated libtool script, which causes libtool to treat -F exactly like it treats -L. This seems to do the trick.

I did notice that scanning through past discussions that this has come up a couple of times, but there is reluctance to provide ful support for -F for some reason. Perhaps the relative simplicity of this patch would convince you to reconsider. If not, we can certainly entertain applying this patch in Homebrew itself.

Regards,
Michael